Subject: Ethnobotanical interest

From: [email-masked] (Michael Sullivan)
Date: 20 May 1995 21:46:19 GMT

Hello-

If anybody has information on good schools that would carry this field, 
or any opinions on a career in ethnobotany, it would be Kool if you would 
share your words with me, if you'd like to of course. 

I know that ethnobotany is a specialized field of botany, and prob would 
only be offered in a grad school, but I'm ne sure.

I find the use of certain plants for medicinal and psychedelic 
psychoactive purposes very fascinating. Shamanism knowledge of plants is 
astronomical.

I also would like to study philosophy to broaden my mind a bit. 

So maybe I'll  talk to someone if you share these interests.

Thanx-

   Mike